package com.bonus.canteen.core.allocation.canteen.model;

import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenDeliveryModel;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenOrderDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenPayDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenSaveDTO;
import com.bonus.canteen.core.menu.model.AllocMealtimeModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("食堂修改Model")
public class AllocCanteenModifyModel extends AllocCanteenModel {
   @ApiModelProperty(
      value = "食堂id",
      required = true
   )
   private @NotNull(
   message = "食堂id 不能为空"
) Long canteenId;

   public AllocCanteenModifyModel(Long canteenId, AllocCanteenSaveDTO canteenSaveDTO, AllocCanteenPayDTO payDTO, AllocCanteenDeliveryModel deliveryModel, AllocCanteenOrderDTO orderDTO, List<AllocMealtimeModel> mealtimeList) {
      this.canteenId = canteenId;
      super.canteenSaveDTO = canteenSaveDTO;
      super.payDTO = payDTO;
      super.deliveryModel = deliveryModel;
      super.orderDTO = orderDTO;
      super.mealtimeList = mealtimeList;
   }
   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public String toString() {
      return "AllocCanteenModifyModel(canteenId=" + this.getCanteenId() + ")";
   }

   public AllocCanteenModifyModel() {
   }
}
